/*
 * Copyright (c) 2019 Christian Kaltepoth. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */
package org.glassfish.jersey.tests.integration.jersey4099;

import javax.annotation.Priority;
import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.ExceptionMapper;

/**
 * This mapper has a lower priority and should always be selected
 */
@Priority(100)
public class MyPriority100Mapper implements ExceptionMapper<MyException> {

    @Override
    public Response toResponse(MyException exception) {
        return Response.ok(this.getClass().getName()).build();
    }

}
